Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1324097 - alacarte: Provide a Python 3 subpackage
Summary: alacarte: Provide a Python 3 subpackage
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: alacarte
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jasper St. Pierre
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2016-04-05 13:56 UTC by Tomas Orsava
Modified: 2023-09-14 03:20 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-12 15:02:28 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Tomas Orsava 2016-04-05 13:56:01 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Dominika Krejčí 2016-05-04 09:40:16 UTC
Hello Jasper,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html

Comment 2 Matthias Clasen 2016-05-04 14:32:59 UTC
Jasper is not working on Fedora anymore, but this package is also not very important and should probably be allowed to die unless some other desktop wants to ship it (the workstation doesn't anymore)

Comment 3 Tomas Orsava 2016-05-05 17:17:39 UTC
Hi Matthias, is there some recommended alternative to this package people should switch to so I could indicate so in the PortingDB for Fedora [0], and mark this package as dropped for future versions of Fedora?

[0] http://fedora.portingdb.xyz/

Thank you for your time!

Comment 4 Matthias Clasen 2016-05-05 18:51:36 UTC
The functionality it provides (editing menu files) is not used in GNOME 3. Other desktops, like Mate, may still use menu files. They may or may not have a fork of alacarte. I don't know.

Comment 5 Petr Viktorin (pviktori) 2016-05-06 09:23:03 UTC
Jasper, if you do not work on Fedora any more, could you to orphan the package here? https://admin.fedoraproject.org/pkgdb/package/rpms/alacarte/

This would leave it to get taken over by any interested maintainer, if one exists, or to die.

Orphaning a package properly also involves sending a mail to fedora-devel. I can do that for you if you don't want to deal with it.

Comment 6 Jan Kurik 2016-07-26 04:28:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 7 Troy Curtis 2017-09-09 03:54:52 UTC
I've started to pull together a python3 version of this package.  Upstream didn't quite support python3, so I've initiated a github pull request ( https://github.com/GNOME/alacarte/pull/5 ).  Once that is accepted I'll see if they will be willing to kick out an updated release.

Note that I routinely use this application in Gnome 3 to create custom menu shortcuts, so I'm not sure about the statement of it not being useful.

Comment 8 Troy Curtis 2017-09-10 01:23:27 UTC
Apparently GitHub pull requests are not the way to contribute to alacarte.  So I opened a bug and attached a patch in the gnome bugzilla instance at https://bugzilla.gnome.org/show_bug.cgi?id=787490

Comment 9 Troy Curtis 2017-10-22 04:05:40 UTC
Looking more deeply at upstream, it seems unlikely there is anyone willing to review and take in the patch that I submitted.  A GNOME developer even referred to it as "unmaintained old software" [0].  So while the py3 support patch is trivial [1], and the app does still work for its intended purpose, it may be a good candidate to let drop. Especially since 'menulibre' is a (somewhat) newer alternative, which already supports python3 and has fewer dependencies.

I still disagree with Matthias' comment that the functionality is not useful in GNOME3 :), but menulibre more than covers the need.

[0]: https://bugzilla.gnome.org/show_bug.cgi?id=787786
[1]: https://bugzilla.gnome.org/attachment.cgi?id=359454&action=diff

Comment 10 Fedora End Of Life 2017-12-12 10:52:09 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 11 Miro Hrončok 2017-12-12 12:07:33 UTC
Please retire alacarte form Fedora or maintain the Python compatibility downstream. This is still relevant.

Comment 12 Ben Cotton 2018-11-27 15:39:59 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Ben Cotton 2019-02-19 17:11:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 30 development cycle.
Changing version to '30.

Comment 14 Miro Hrončok 2019-05-04 16:09:00 UTC
What's the status?

Comment 15 Ben Cotton 2019-08-13 16:53:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 16 Ben Cotton 2019-08-13 19:23:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 17 Petr Viktorin (pviktori) 2019-11-12 15:02:28 UTC
The package was retired: https://src.fedoraproject.org/rpms/alacarte/c/ab13c1a0cb18286c1b5c3a8145c557bbc80d5047?branch=master

Comment 18 Red Hat Bugzilla 2023-09-14 03:20:40 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 1000 days


Note You need to log in before you can comment on or make changes to this bug.